{% load angled %}
<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <style media="screen">
        body {
            background: #eee;
            font-family: monospace;
        }

        .header {
            font-size: 1rem;
            padding: 10px;
            margin-bottom: 30px;
            border-bottom: 1px solid #000;
        }

        .header-title {
            font-weight: bold;
        }

        .header-subtitle {
            margin-top: 10px;
        }

        button {
            font-size: 1rem;
            font-family: monospace;
            padding: 5px;
        }

        .pagination {
            margin-bottom: 30px;
            margin-left: 10px;
        }

        .project-link {
            padding: 7px 10px;
            /* margin-bottom: 10px; */
        }

        div.project-link:nth-child(odd) {
            background: #F8F8F8;
        }
    </style>
</head>

<body>

    <div class="header">
        <div class="header-title">perspective.brussels</div>
        <div class="header-title">plateforme de veille des plans et projets urbains</div>
        <div class="header-subtitle">staging database - projects list</div>
    </div>

    <div class="pagination">
        <span class="step-links">
            {% if projects.has_previous %}
            <a href="?page=1">&laquo; first</a>
            <a href="?page={{ projects.previous_page_number }}">previous</a>
            {% endif %}

            <span class="current">
                Page {{ projects.number }} of {{ projects.paginator.num_pages }}.
            </span>

            {% if projects.has_next %}
            <a href="?page={{ projects.next_page_number }}">next</a>
            <a href="?page={{ projects.paginator.num_pages }}">last &raquo;</a>
            {% endif %}
        </span>
    </div>

    {% for project in projects %}

    <div class="project-link">
        <a href="{% url 'angled-project-single' project.id %}">{{ project.id }}</a>: {{ project | pname}}
    </div>

    {% endfor %}


</body>

</html>